Practica19/Proyecto10/Proyecto10/urls.py
from django.contrib import admin
from django.urls import path,include
from django.contrib.auth.views import LoginView,logout_then_login

urlpatterns = [
    path('admin/', admin.site.urls),
    path('',include('apps.Modelo.urls'),),
    path('caballos/',include('apps.Caballos.urls'),),
    path('usuario/',include('apps.Usuarios.urls')),
    path('accounts/login/',LoginView.as_view(template_name='index.html'),name='login'),
    path('logout/',logout_then_login,name='logout'),
]

Practica19/Proyecto10/apps/Caballos/urls.py
from django.contrib import admin
from django.urls import path,include,re_path
from apps.Caballos.views import Lista,Detalles,Crear,Actualizar,Eliminar
from apps.Caballos.views import gLista,gDetalles,gCrear,gEliminar,gActualizar

app_name='Caballos'
urlpatterns = [
    path('glista/', gLista.as_view(), name="gLista"),
    path('gdetalles/<int:pk>', gDetalles.as_view(), name="gDetalles"),
    path('gcrear/', gCrear.as_view(), name="gCrear"),
    path('geliminar/<int:pk>', gEliminar.as_view(), name="gEliminar"),
    path('gactualizar/<int:pk>', gActualizar.as_view(), name="gActualizar"),

    path('lista/', Lista, name="Lista"),
    path('detalles/<int:id>', Detalles, name="Detalles"),
    path('crear/', Crear, name="Crear"),
    path('actualizar/<int:id>', Actualizar, name="Actualizar"),
    path('eliminar/<int:id>', Eliminar, name="Eliminar"),

]

Practica19/Proyecto10/apps/Modelo/urls.py
from django.contrib import admin
from django.urls import path
from apps.Modelo.views import Template1,Template2,Template3,Template4,Template5,Template6,Template7,Template8,Template9,Template10,Index
from apps.Modelo.views import ListaAPIView,CrearAPIView,UserAPIView,UserAPICreate

app_name='Modelo'
urlpatterns = [
    path('',Index,name='Index'),
    path('UserAPICreate/',UserAPICreate.as_view(),name="UserAPICreate"),
    path('UserAPIView/',UserAPIView.as_view(),name="UserAPIView"),

    path('ListaAPIView/',ListaAPIView.as_view(),name="ListaAPIView"),
    path('CrearAPIView/',CrearAPIView.as_view(),name="CrearAPIView"),

    path('template1/',Template1,name='template1'),
    path('template2/',Template2,name='template2'),
    path('template3/',Template3,name='template3'),
    path('template4/',Template4,name='template4'),
    path('template5/',Template5,name='template5'),
    path('template6/',Template6,name='template6'),
    path('template7/',Template7,name='template7'),
    path('template8/',Template8,name='template8'),
    path('template9/',Template9,name='template9'),
    path('template10/',Template10,name='template10'),
]

Practica19/Proyecto10/apps/Usuarios/urls.py
from django.contrib import admin
from django.urls import path,include,re_path
from apps.Usuarios.views import UsuarioRegistro

app_name='Usuarios'
urlpatterns = [
    path('registrar/',UsuarioRegistro.as_view(),name='Usuario_Registrar'),
]

Practica19/Proyecto10/templates/index.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>index</title>
	<link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.css' %}">
</head>

<body>
{% block nav %}
	<nav class="navbar navbar-expand-lg navbar-light bg-light sticky-top" style="background-color: #005A99">
		<a class="navbar-brand" href="{% url 'Modelo:Index' %}">Proyecto 10</a>
			<ul class="navbar-nav mr-auto">
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Caballos:Lista'%}">Caballos</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Caballos:gLista'%}">Caballos Generics</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:ListaAPIView'%}">Api-Readonly</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:CrearAPIView'%}">Api-Write</a>
				</li>
				<li class="nav-item">
					<a class="nav-link disabled" href="#">User</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:UserAPIView'%}">Api-Readonly</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:UserAPICreate'%}">Api-Write</a>
				</li>
		</ul>		
		<form class="form-inline my-2" id="buscar">
			<input type="search" name="q" class="form-control" arial-label="Search">
			<button class="btn btn-outline-dark" type="submit">Buscar</button>
		</form>
		{% if request.user.is_authenticated %}
		<ul class="navbar-nav mr-auto">
			<li class="nav-item">
				<a class="nav-link"href="{% url 'logout' %}">Salir</a>
			</li>
		</ul>
{% endif %}
	</nav>
{% endblock %}
<div class="container">
{% block container %}
	<div class="row">
		<div class="col-md">
			<h1>Soy el index</h1>
			<ul class="navbar-nav">
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template1'%}">Template 1</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template2'%}">Template 2</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template3'%}">Template 3</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template4'%}">Template 4</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template5'%}">Template 5</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template6'%}">Template 6</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template7'%}">Template 7</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template8'%}">Template 8</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template9'%}">Template 9</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'Modelo:template10'%}">Template 10</a>
				</li>
			</ul>
		</div>
				<div class="col-md">
			<div class="row">
				{% if request.user.is_authenticated %}
					<a href="#" style="color:#fff;">{{request.user.username}}<b>Hola</b></a>
					{% else %}
					<form class="form-inline" method="post" action="{% url 'login'%}">
					{% csrf_token %}
						<input class="form-control form-control-sm mr-sm-2" name="username" type="text" placeholder="username">
						<input class="form-control form-control-sm mr-sm-2" name="password" type="password" placeholder="password">
						<button class="btn btn-outline-dark btn-sm mr-1" type="submit" value="login"><b>Sign in</b></button>
						<a href="{% url 'Usuarios:Usuario_Registrar'%}" class="btn btn-light btn-sm"> <b>Register</b></a>
						<p><small>{{form.errors}}</small></p>		
					</form>
				{% endif %}
			</div>
		</div>
	</div>
{% endblock %}
</div>
<script type="text/javascript">
	$(document).ready(function(){
		console.log("working")
		var searchIn = $("#buscar input[type=search]")
		var searchQs;

		searchIn.keyup(function(event){
			searchQs = $(this).val()
			console.log(searchQs)
		});

		function doneSearchingTyping(){
			if(searchQs){
				var url = "/caballoss/search?q=" + searchQs
				document.location.href = url
			}
		}
	});
</script>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
<script src="{% static 'js/bootstrap.js' %}"></script>
</body>
</html>